<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
SetAddInWnd Method (IEdmVault5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVault5 Interface : SetAddInWnd Method (IEdmVault5)

Visual Basic
C#
C++/CLI

lAddInWnd
  Add-in window handle

lParentWnd
  File Explorer window handle; EdmCmd::mlParentWnd passed to IEdmAddIn5::OnCmd

Obsolete. See Keeping Add-in Windows in the Foreground .

# Syntax

Visual Basic |
--- | ---

    Sub SetAddInWnd( _
       ByVal lAddInWnd As System.Integer, _
       ByVal lParentWnd As System.Integer _
    )

C# |
--- | ---

    void SetAddInWnd(
       System.int lAddInWnd,
       System.int lParentWnd
    )

C++/CLI |
--- | ---

    void SetAddInWnd(
    &   System.int lAddInWnd,
    &   System.int lParentWnd
    )

#### Parameters

lAddInWnd
  Add-in window handle
lParentWnd
  File Explorer window handle; EdmCmd::mlParentWnd passed to IEdmAddIn5::OnCmd

# Remarks

This method ensures that windows created from add-ins written in Visual Basic 6 do not appear behind the application window. Since VBA is no longer supported, this method is obsolete and should not be used.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmVault5 Interface
IEdmVault5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2